| gtk-0.11.2: Binding to the Gtk+ graphical user interface library. | Contents | Index
Graphics.UI.Gtk.Ornaments.VSeparator |
Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net
Contents
Detail Class Hierarchy Types Constructors
Description
A vertical separator
Synopsis
data VSeparator
class SeparatorClass o => VSeparatorClass o
castToVSeparator :: GObjectClass obj => obj -> VSeparator
gTypeVSeparator :: GType
toVSeparator :: VSeparatorClass o => o -> VSeparator
vSeparatorNew :: IO VSeparator
Detail
The `VSeparator` widget is a vertical separator, used to group the widgets within a window. It displays a vertical line with a shadow to make it appear sunken into the interface.
Class Hierarchy
     |  GObject
     |   +----Object
     |         +----Widget
     |               +----Separator
     |                     +----VSeparator
Types
data VSeparator
Instances
Eq VSeparator |
Ord VSeparator |
GObjectClass VSeparator |
VSeparatorClass VSeparator |
SeparatorClass VSeparator |
WidgetClass VSeparator |
ObjectClass VSeparator |
class SeparatorClass o => VSeparatorClass o
Instances
VSeparatorClass VSeparator |
castToVSeparator :: GObjectClass obj => obj -> VSeparator
gTypeVSeparator :: GType
toVSeparator :: VSeparatorClass o => o -> VSeparator
Constructors
vSeparatorNew :: IO VSeparator
Creates a new `VSeparator`.
Produced by Haddock version 2.7.2